body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow: hidden;
}

.form {
    width: 350px;
    padding: 32px;
    border-radius: 10px;
    box-shadow: 0 4px 16px #ccc;
    font-family: sans-serif;
    letter-spacing: 1px;
}

.form__input,
.form__button {
    font-family: sans-serif;
    letter-spacing: 1px;
    font-size: 16px;
}

.form__title {
    text-align: center;
    margin: 0 0 32px 0;
    font-weight: normal;
}

.form__group {
    position: relative;
    margin-bottom: 32px;
}

.form__label {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    color: #9e9e9e;
    transition: 0.3s;
    user-select: none;
}

.form__input {
    width: 100%;
    padding: 0 0 5px 0;
    border: none;
    border-bottom: 1px solid #e0e0e0;
    background-color: transparent;
    outline: none;
    transition: 0.3s;
    text-indent: 10px
}

.form__input:focus {
    border-bottom: 1px solid #1a73a8;
}

.form__button {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    color: white;
    background-color: #0071f0;
    outline: none;
    cursor: pointer;
    transition: 0.3s;
}

.form__button:focus,
.form__button:hover {
    background-color: rgb(0 113 240 /70%);
}

.form__input:focus~.form__label,
.form__input:not(:placeholder-shown)~.form__label {
    top: -18px;
    font-size: 12px;
    color: #e0e0e0;
}

.form__group i {
    position: absolute;
    right: 10px;
    top: 0;
    color: #9e9e9e;
    cursor: pointer;
}

.error {
    width: 300px;
    color: red;
    font-size: .8em;
    position: absolute;
    left: 60px;
    bottom: -20px;
    display: none;
}

.error-active {
    display: inline;
}